"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@hypertype/core");
var FetchRequestService = /** @class */ (function () {
    function FetchRequestService() {
    }
    FetchRequestService.prototype.request = function (method, url, body, options) {
        if (body === void 0) { body = null; }
        if (options === void 0) { options = {}; }
        if (options.params) {
            url += '?' + Object.entries(options.params).map(function (_a) {
                var key = _a[0], value = _a[1];
                return key + "=" + value;
            }).join('&');
        }
        return core_1.from(fetch(url, {
            method: method,
            body: body && JSON.stringify(body),
            headers: __assign({ 'Content-Type': 'application/json' }, options.headers)
        })).pipe(core_1.mergeMap(function (t) {
            if (t.status >= 300) {
                return core_1.throwError({
                    code: t.status,
                    message: t.text()
                });
            }
            if (/json/.test(t.headers.get('Content-Type')))
                return t.json();
            return t.text();
        }));
    };
    return FetchRequestService;
}());
exports.FetchRequestService = FetchRequestService;
