"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@hypertype/core");
var infr_1 = require("@hypertype/infr");
var fetchRequestService_1 = require("./fetchRequestService");
var browser_web_socket_service_1 = require("./browser.web-socket.service");
var dev_tools_state_logger_1 = require("./dev-tools.state-logger");
__export(require("./fetchRequestService"));
exports.BrowserContainer = new core_1.Container();
exports.BrowserContainer.provide(infr_1.InfrContainer);
exports.BrowserContainer.provide([
    { provide: infr_1.StateLogger, useClass: dev_tools_state_logger_1.DevToolsStateLogger },
    { provide: infr_1.IRequestService, useClass: fetchRequestService_1.FetchRequestService },
    { provide: infr_1.IWebSocketService, useClass: browser_web_socket_service_1.BrowserWebSocketService, deps: [infr_1.WebSocketUrlInjectionToken] }
]);
