import { Observable } from "@hypertype/core";
import { IWebSocketService } from "./i-web-socket.service";
import { HubConnection } from "./signalr/HubConnection";
import { IRequestService } from "./request.service";
export declare abstract class BaseWebSocketService extends IWebSocketService {
    private requestService;
    private readonly connection;
    constructor(url: string, requestService: IRequestService);
    protected abstract buildConnection(url: string): any;
    Hub(hub: string): WebSocketHub;
    send<T>(method: string, ...params: any[]): Promise<T>;
}
export declare class WebSocketHub {
    private connection;
    constructor(connection: HubConnection, hub: string);
    private messagesSubject;
    messages$: Observable<any>;
}
//# sourceMappingURL=base-web-socket.service.d.ts.map